Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
HTTP API for OTA workflow runs and fleet rollout control
/api/v1/firmware-pipeline-runs
workspace_id
GET /api/v1/firmware-pipeline-runs?workspace_id={uuid}&limit=20&page=1
fleet_target_count
fleet_progress_percent
rollout_strategy
all_at_once
canary
staged_expand
rollout_phase
expand
full
expand_stages
current_target_percent
wave_index
GET /api/v1/firmware-pipeline-runs/{id}?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/approve?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/pause?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/resume?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/abort?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/cancel?workspace_id={uuid}
POST /api/v1/firmware-pipeline-runs/{id}/retry?workspace_id={uuid} Content-Type: application/json { "workspace_id": "{uuid}", "device_ids": ["{device-uuid}", "..."] }
POST /api/v1/firmwares/{firmware_id}/batch-deploy?workspace_id={uuid} Content-Type: application/json { "device_template_id": "{uuid}", "device_ids": ["{optional-device-uuid}"], "scheduled_at": "2026-07-16T10:00:00Z" }